html, body {
    padding: 0;
    margin: 0;
    height: 100%;
  }
  
div#mapWrapper {
    width: 100%;
    height: 100%;
}

div#map {
    height: 100%;
}

div.panel {
    background-color: #fafafa;
    opacity: 0.95;
    transition: width 0.6s;
    z-index: 1001;
}

div#leftPanel {
    position: absolute;
    background-color: #ececec; 
    height: 100%;
    width: 310px;
    &.collapsed {
        margin-left: -270px;
    }
    div#leftPanelHeader.header {
        background-color: #c88146;
        position: absolute;
        width: 100%;
        height: 65px;
        h1.h2 {
           position: absolute;
           z-index: 0;
           top: 0.4em;
           left: 0.5em;
           color: #8a4d00;
        }
        div#leftPanelCollapseBtn {
           position: absolute;
           z-index: 10;
           top: 7px;
           right: 3px;
           &.button {
             background-color: #fff;
             border: 1px solid rgba(0,0,0,0.2);
          }
       }
    }
    div#leftPanelContent.content {
        opacity: 1;
        padding: 1em;
        padding-top: 6em;
        height: inherit;   /* better than height: 100% */
        width: 100%;
        overflow: auto;
        transition: opacity 0.6s;
    }
}

div#rightPanel {
    position: absolute;
    right: 0;
    height: 100%;
    width: 600px;
    &.collapsed {
        width: 0px;
    }

    div#rightPanelCollapseBtn {
        float:right;
        margin-top: 7px;
        margin-right: 3px;
        &.button {
            background-color: #fff;
            border: 1px solid rgba(0,0,0,0.2);
        }
    }
      
    div#rightPanelContent {
        opacity: 1;
        height: inherit;   /* better than height: 100% */
        width: 100%;
        overflow: auto;
        transition: opacity 0.6s;
        padding: 1em;
        div#rightPanelHeader {
            margin-bottom: 1em;
        }
        div.procedureItem {
            margin-bottom: 1em;
            div.procedureItem__title {
                font-weight: bold;
            }
            i {
                padding: 0.5em 0.5em 0.5em 0em;
            }
        }
    }
}


div#bottomPanel {
   position: absolute;
   bottom: 0;
   width: 100%;
   height: 300px;
   background-color: #928d85; /*#ececec*/
   &.collapsed {
      height: 0px;
   }
   div#bottomPanelContainer {
       position: absolute;
       height: 265px; 
       width: 96%;
       margin: 1em 2%;
       background-color: rgba(255, 255, 255, 0.75); /*white*/
       border: 1px solid #ececec; /*#ced4da*/
       border-radius: 4px;
       div#bottomPanelContent {
           opacity: 0.5;
           height: inherit;   /* better than height: 100% */
           width: 100%;
           overflow: auto;
           transition: opacity 0.6s;
           div#bottomPanelCloseBtn {
               position: absolute;
               top: 5px;
               right: 5px;
               float: right;
           }
       }
   }
}

.hidden {
    visibility: hidden;
    display: none;
}
